netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afpstats.c File Reference
`#include <errno.h>`
`#include <fcntl.h>`
`#include <pwd.h>`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <time.h>`
`#include <unistd.h>`
`#include <sys/socket.h>`
`#include <sys/stat.h>`
`#include <sys/un.h>`
`#include <atalk/compat.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include <atalk/server_child.h>`
`#include "afpstats.h"`

## Functions
int | afpstats_init (server_child_t *childs_in, const char *sock_path, bool set_group, gid_t gid)
static const char * | state_name (int16_t state)
static const char * | protocol_name (int16_t state)
static const char * | user_name (uid_t uid, char *buf, size_t buflen)
void | afpstats_handle_accept (int listen_fd)

## Variables
static server_child_t * | childs

## Function Documentation

## ◆ afpstats_handle_accept()

void afpstats_handle_accept | ( | int | listen_fd | ) |

## ◆ afpstats_init()

int afpstats_init | ( | server_child_t * | childs_in,
|  | const char * | sock_path,
|  | bool | set_group,
|  | gid_t | gid )

## ◆ protocol_name()

const char * protocol_name | ( | int16_t | state | ) |
| static

## ◆ state_name()

const char * state_name | ( | int16_t | state | ) |
| static

## ◆ user_name()

const char * user_name | ( | uid_t | uid,
|  | char * | buf,
|  | size_t | buflen )
| static

## Variable Documentation

## ◆ childs

server_child_t* childs
| static